#include<fstream>
using namespace std;
int n;
int p(int a)
{
	if(a==0)
	{
		return 1;
	}
	if(a>1)
	{
		return p(a-1)*(2*a+1);
	}
}
int s(int a)
{
	if(a==0)
	{
		return 1;
	}
	if(a>1)
	{
		return s(a-1)+(2*a+1);
	}
}
int main()
{
	ifstream fi("DQPS.inp");
	ofstream fo("DQPS.out");
	fi>>n;
	fo<<p(n)<<endl;
	fo<<s(n);
	fi.close();
	fo.close();
}
